#
# spec file for package python-requests-kerberos
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-requests-kerberos
Version:        0.12.0
Release:        2.1
Summary:        A Kerberos authentication handler for python-requests
License:        ISC
Group:          Development/Languages/Python
URL:            https://github.com/requests/requests-kerberos
Source:         https://files.pythonhosted.org/packages/source/r/requests-kerberos/requests-kerberos-%{version}.tar.gz
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-pykerberos >= 1.1.8
Requires:       python-requests >= 1.1.0
BuildArch:      noarch
%python_subpackages

%description
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication. Basic GET usage:

%prep
%setup -q -n requests-kerberos-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/*

%changelog
* Tue Feb  5 2019 tbechtold@suse.com
- update to 0.12.0:
  - Add support for channel binding tokens
  - Add support for kerberos message encryption
  - Misc CI/test fixes
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Aug 21 2017 tbechtold@suse.com
- update to 0.11.0:
  * add license title
  * Swap kerberos-sspi with winkerberos.
  * Add WinKerberos-specific blurb for custom principal.
  * v0.11.0
  * Revert "Merge pull request #73 from rbcarson/windows-principal-workaround-71"
  * Require at least WinKerberos 0.4.0.
  * Require at least WinKerberos 0.5.0.
  * Bring back reverted fixes.
- convert to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 0.10.0:
  - Make it possible to receive errors without having their contents and headers
  stripped.
  - Resolve a bug caused by passing the ``principal`` keyword argument to
  kerberos-sspi on Windows.
  - Support for principal, hostname, and realm override.
  - Added support for mutual auth.
* Thu Feb 11 2016 dmueller@suse.com
- fix requires
* Tue Feb  9 2016 tbechtold@suse.com
- Initial packaging (version 0.8.0)
